﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Reks.Pages
{
    /// <summary>
    /// Логика взаимодействия для Authorization.xaml
    /// </summary>
    public partial class Authorization : Page
    {
        public TradeBase DB = new TradeBase();
        bool CapaFlag = false;
        System.Windows.Threading.DispatcherTimer timer = new System.Windows.Threading.DispatcherTimer();
        public Authorization()
        {
            InitializeComponent();
        }

        private void GoAuth(object sender, RoutedEventArgs e)
        {
            if (EnteredLogin.Text != null && EnteredLogin.Text != "" && EnteredPass.Text != null && EnteredPass.Text != "")
            {
                User user = DB.User.Where(x => x.UserLogin == EnteredLogin.Text && x.UserPassword == EnteredPass.Text).FirstOrDefault();
                if (user != null && CapaFlag == false)
                {
                    MainFrame.mFrame.Navigate(new UserGuestPage(user.UserID));
                }
                else if (user != null && CapaFlag == true)
                {
                    if (CapaText.Text.ToUpper() == "X777".ToUpper())
                    {
                        MainFrame.mFrame.Navigate(new UserGuestPage(user.UserID));
                    }
                    else
                    {
                        MessageBox.Show("Текст капчи введён неправильно");
                        AuthUser.IsEnabled = false;
                        AuthGuest.IsEnabled = false;
                        timer.Tick += new EventHandler(timerTick);
                        timer.Interval = new TimeSpan(0, 0, 10);
                        timer.Start();

                    }
                }
                else if (user == null && CapaFlag == true)
                {
                    MessageBox.Show("Вас не существует, либо данные нерпавильные");
                    AuthUser.IsEnabled = false;
                    AuthGuest.IsEnabled = false;
                    timer.Tick += new EventHandler(timerTick);
                    timer.Interval = new TimeSpan(0, 0, 10);
                    timer.Start();
                }
                else
                {
                    MessageBox.Show("Вас не существует, либо данные нерпавильные");
                    Capa.Visibility = Visibility.Visible;
                    CapaFlag = true;
                }
            }
            else
            {
                MessageBox.Show("Вы не заполнили одно из полей");
            }
        }

        private void GoGuest(object sender, RoutedEventArgs e)
        {
            MainFrame.mFrame.Navigate(new UserGuestPage());
        }

        private void timerTick(object sender, EventArgs e)
        {
            AuthUser.IsEnabled = true;
            AuthGuest.IsEnabled = true;
        }
    }
}